mutex.h File Reference
`#include <ptlib/critsec.h>`
`#include <ptlib/semaphor.h>`
`#include "unix/ptlib/mutex.h"`

Go to the source code of this file.

## Classes

class | PTimedMutex
| This class defines a thread mutual exclusion object. More...

## Macros

#define | PCriticalSection PTimedMutex

## Typedefs

typedef PTimedMutex | PMutex

## Macro Definition Documentation

## PCriticalSection

#define PCriticalSection PTimedMutex

Referenced by PTimedMutex::Try().

## Typedef Documentation

## PMutex

typedef PTimedMutex PMutex